org.springframework.expression.spel.ast

## Class StringLiteral

- java.lang.Object
- - org.springframework.expression.spel.ast.SpelNodeImpl
  - - org.springframework.expression.spel.ast.Literal
    - - org.springframework.expression.spel.ast.StringLiteral

All Implemented Interfaces:
  SpelNode

    public class StringLiteral
    extends Literal

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller

### Field Summary

### Fields inherited from class org.springframework.expression.spel.ast.Literal

`literalValue`

### Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`children, pos`

### Constructor Summary

Constructors
Constructor and Description
`StringLiteral(String payload, int pos, String value)`

### Method Summary

Methods
`TypedValue` `getLiteralValue()`
`String` `toString()`

### Methods inherited from class org.springframework.expression.spel.ast.Literal

`getIntLiteral, getLongLiteral, getRealLiteral, getValueInternal, toStringAST`

### Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, getValueRef, isWritable, nextChildIs, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringLiteral

    public StringLiteral(String payload,
                 int pos,
                 String value)

### Method Detail

#### getLiteralValue

    public TypedValue getLiteralValue()

Specified by:
  `getLiteralValue` in class `Literal`

#### toString

    public String toString()

Overrides:
  `toString` in class `Literal`